## org.eclipse.emf.mapping.command
Class InitializeCopyOverrideCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.mapping.command.InitializeCopyOverrideCommand

All Implemented Interfaces:
  Command

Direct Known Subclasses:
  Ecore2EcoreEditor.Ecore2EcoreInitializeCopyOverrideCommand

    public class InitializeCopyOverrideCommand

extends AbstractCommand

This command overrides the InitializeCopyCommand for cross-domain copies. This implementation is a no-op unless the objects are suitable ECore classes, in which case it copies the name and possibly the eType. Application specific subclasses should override execute() to complete the initialization, if necessary.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`AbstractCommand.NonDirtying`

Field Summary
`protected InitializeCopyCommand` `initializeCommand` This is command we're overriding
`protected MappingDomain` `mappingDomain` This keeps track of the mapping domain in which the command operates.

Fields inherited from class org.eclipse.emf.common.command.AbstractCommand
`description, isExecutable, isPrepared, label`

Constructor Summary
`InitializeCopyOverrideCommand(MappingDomain domain, InitializeCopyCommand initializeCommand)` This creates a command instance that initializes a copied object

Method Summary
`void` `execute()` Performs the command activity required for the effect.
`java.util.Collection<?>` `getAffectedObjects()` Returns an empty list.
`java.util.Collection<?>` `getResult()` Returns an empty list.
`protected boolean` `prepare()` Called at most once in `AbstractCommand.canExecute()` to give the command an opportunity to ready itself for execution.
`void` `redo()` Performs the command activity required to `redo` the effect after undoing the effect.
`java.lang.String` `toString()` This gives an abbreviated name using this object's own class' name, without package qualification, followed by a space separated list of `field:value` pairs.
`void` `undo()` Throws a runtime exception.

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`canExecute, canUndo, chain, dispose, getDescription, getLabel, setDescription, setLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mappingDomain

    protected MappingDomain mappingDomain

  This keeps track of the mapping domain in which the command operates.

### initializeCommand

    protected InitializeCopyCommand initializeCommand

  This is command we're overriding

Constructor Detail

### InitializeCopyOverrideCommand

    public InitializeCopyOverrideCommand(MappingDomain domain,
                                         InitializeCopyCommand initializeCommand)

  This creates a command instance that initializes a copied object

Method Detail

### prepare

    protected boolean prepare()

  Description copied from class: `AbstractCommand`
  Called at most once in `AbstractCommand.canExecute()` to give the command an opportunity to ready itself for execution. The returned value is stored in `AbstractCommand.canExecute()`. In other words, you can override this method to initialize and to yield a cached value for the all subsequent calls to canExecute.

  Overrides:
    `prepare` in class `AbstractCommand`
  Returns:
    whether the command is executable.

### execute

    public void execute()

  Description copied from interface: `Command`
  Performs the command activity required for the effect. The effect of calling `execute` when `canExecute` returns `false`, or when `canExecute` hasn't been called, is undefined.

### undo

    public void undo()

  Description copied from class: `AbstractCommand`
  Throws a runtime exception.

  Specified by:
    `undo` in interface `Command`
  Overrides:
    `undo` in class `AbstractCommand`

### redo

    public void redo()

  Description copied from interface: `Command`
  Performs the command activity required to `redo` the effect after undoing the effect. The effect, if any, of calling `redo` before `undo` is called is undefined. Note that if you implement `redo` to call `execute` then any derived class will be restricted by that decision also.

### getResult

    public java.util.Collection<?> getResult()

  Description copied from class: `AbstractCommand`
  Returns an empty list.

  Specified by:
    `getResult` in interface `Command`
  Overrides:
    `getResult` in class `AbstractCommand`
  Returns:
    an empty list.

### getAffectedObjects

    public java.util.Collection<?> getAffectedObjects()

  Description copied from class: `AbstractCommand`
  Returns an empty list.

  Specified by:
    `getAffectedObjects` in interface `Command`
  Overrides:
    `getAffectedObjects` in class `AbstractCommand`
  Returns:
    an empty list.

### toString

    public java.lang.String toString()

  This gives an abbreviated name using this object's own class' name, without package qualification, followed by a space separated list of `field:value` pairs.

  Overrides:
    `toString` in class `AbstractCommand`
  Returns:
    string representation.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.